libwps::DirEntry Class Reference

## Public Member Functions

| DirEntry ()

## Public Attributes

bool | valid
std::string | name
bool | dir
unsigned long | size
unsigned long | start
unsigned | prev
unsigned | next
unsigned | child

## Constructor & Destructor Documentation

libwps::DirEntry::DirEntry | ( |  | ) |

inline

## Member Data Documentation

unsigned libwps::DirEntry::child

Referenced by libwps::DirTree::find_child(), libwps::DirTree::getOLENames(), and libwps::DirTree::load().

bool libwps::DirEntry::dir

Referenced by libwps::DirTree::getOLENames(), libwps::DirTree::load(), and libwps::StorageIO::streamIO().

std::string libwps::DirEntry::name

Referenced by dirtree_find_sibling(), libwps::DirTree::getOLENames(), and libwps::DirTree::load().

unsigned libwps::DirEntry::next

Referenced by dirtree_find_sibling(), libwps::DirTree::getOLENames(), and libwps::DirTree::load().

unsigned libwps::DirEntry::prev

Referenced by dirtree_find_sibling(), libwps::DirTree::getOLENames(), and libwps::DirTree::load().

unsigned long libwps::DirEntry::size

Referenced by libwps::DirTree::load(), and libwps::StreamIO::StreamIO().

unsigned long libwps::DirEntry::start

Referenced by libwps::DirTree::load(), and libwps::StreamIO::StreamIO().

bool libwps::DirEntry::valid

Referenced by dirtree_find_sibling(), libwps::DirTree::find_child(), libwps::DirTree::getOLENames(), and libwps::DirTree::load().

The documentation for this class was generated from the following file:

- WPSOLEStream.cpp